%define _default_patch_fuzz 2

Summary: K Desktop Environment - Workspace
Name: kdebase-workspace
Version: 4.1.0

Release: 8%{?dist}
Source0: ftp://ftp.kde.org/pub/kde/unstable/%{version}/src/kdebase-workspace-%{version}.tar.bz2
License: GPLv2
Group: User Interface/Desktops
URL: http://www.kde.org/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Patch1: kdebase-workspace-4.0.3-redhat-startkde.patch
Patch2: kdebase-workspace-4.0.98-consolekit-kdm.patch
Patch3: kdebase-workspace-4.0.72-plasma-konsole.patch
Patch4: kdebase-workspace-4.1.0-show-systemsettings.patch
Patch5: kdebase-workspace-4.0.72-ck-shutdown.patch
# 434824: KDE4 System Settings - No Method To Enter Administrative Mode
Patch6: kdebase-workspace-4.0.72-rootprivs.patch
Patch7: kdebase-workspace-4.0.3-timedate-kcm.patch
# 441062: packagekit tools do not show icons correctly on KDE
Patch8: kdebase-workspace-4.0.3-krdb.patch
Patch10: kdebase-workspace-4.0.72-klipper-url.patch
# allows to define a default wallpaper via plasmarc:wallpaper
Patch11: kdebase-workspace-4.0.85-plasma-default-wallpaper.patch
# 455623: Cannot install KDM Themes (KDM KCM uses wrong appsdir)
Patch12: kdebase-workspace-4.1.0-kdm-appsdir.patch

# upstream patches:
# backport Plasma tooltip manager from KDE 4.2 (fixes regression from 4.0)
# This is a cumulative patch from the following revisions/pairs: 833271:833299,
# 833386, 833479:833545, 833581, 833587:833620, 834652, 836698, 837733, 837827.
# This is backwards BC wrt 4.1, but the API of the new classes is not finalized.
Patch100: kdebase-workspace-4.1.0-plasma-tooltips.patch
# http://bugs.kde.org/152914
Patch101: kdebase-workspace-4.1.0-kde#152914.patch
# reenable KWin taskbarthumbnail effect (already done upstream in 4.2, was
# disabled in 4.1 due to no tooltip support - see also Patch100)
Patch102: kdebase-workspace-4.1.0-enable-kwin-taskbarthumbnail.patch

# plasma-4.0-openSUSE patches:
Patch204: kdebase-workspace-4.0.98-kickoff-suspend.patch
# FIXME: "inconsistent naming System Monitor vs KSysGuard" http://bugs.kde.org/162151

Provides: kdebase-kdm = 6:%{version}-%{release}
Provides: kdm = %{version}-%{release}

%if 0%{?fedora} == 9
# upgrade path: kdebase(3) -> kdebase-workspace
Obsoletes: kdebase < 6:4
# so kdebase doesn't get lost on kde3->kde4 upgrade (#444928)
Requires: kdebase4
%endif

# kdmtheme's functionality is now provided by kdebase-workspace itself
Obsoletes: kdmtheme < 1.3

BuildRequires: bluez-libs-devel
BuildRequires: cmake
BuildRequires: ConsoleKit-devel
BuildRequires: glib2-devel
BuildRequires: kde-filesystem >= 4
BuildRequires: kdelibs4-devel >= %{version}
BuildRequires: libcaptury-devel
BuildRequires: libraw1394-devel
BuildRequires: libxklavier-devel
BuildRequires: libXres-devel
BuildRequires: lm_sensors-devel
BuildRequires: NetworkManager-devel
BuildRequires: pam-devel
BuildRequires: qimageblitz-devel
BuildRequires: soprano-devel

Requires: %{name}-libs = %{version}-%{release}
Requires: kde-settings-kdm
%{?_kde4_macros_api:Requires: kde4-macros(api) = %{_kde4_macros_api} }
Requires(post): xdg-utils
Requires(postun): xdg-utils

# would much rather these deps be elsewhere, 
# but adding here doesn't hurt either -- Rex
Requires: kdebase-runtime >= %{version}
Requires: oxygen-icon-theme

# split ksysguardd
Requires: ksysguardd = %{version}-%{release}

# startkde references: dbus-launch df mkdir test xmessage xprop xrandr xrdb xset xsetroot
Requires: coreutils
Requires: dbus-x11
Requires: xorg-x11-apps
Requires: xorg-x11-utils
Requires: xorg-x11-server-utils

%description
The KDE Workspace consists of what is the desktop of the 
KDE Desktop Environment.

This package contains:
* kdm (the login manager of KDE)
* khotkeys (a hotkey daemon)
* klipper (a cut & paste history utility)
* kmenuedit (the menu editor)
* krandrtray (resize and rotate X screens)
* krunner (a command run interface)
* ksysguard (a performance monitor)
* kwin (the window manager of KDE)
* kxkb (a utility to switch keyboard maps)
* plasma (the KDE desktop, panels and widgets workspace application)
* systemsettings (the configuration editor)

%package devel
Group:    Development/Libraries
Summary:  Development files for %{name}
Requires: %{name}-libs = %{version}-%{release}
Requires: kdelibs4-devel
%description devel
%{summary}.

%package libs
Summary: Runtime libraries for %{name}
Group:   System Environment/Libraries
Requires: kdelibs4 >= %{version}
# out of paranoia really, may or may not be 100% essential.  -- Rex
Requires: %{name} = %{version}-%{release}
%description libs
%{summary}.

%package wallpapers 
Summary: KDE wallpapers 
Group: User Interface/Desktops
Requires: kde-filesystem
%description wallpapers 
%{summary}.

%package -n ksysguardd
Summary: Performance monitor daemon
Group:   System Environment/Daemons
%description -n ksysguardd
%{summary}.

%package -n oxygen-cursor-themes 
Summary: Oxygen cursor themes 
Group: User Interface/Desktops
%description -n oxygen-cursor-themes 
%{summary}.



%prep

%setup -q

# RH/Fedora-specific startkde changes
%patch1 -p1 -b .redhat-startkde
# ConsoleKit support for KDM (#228111, #430388, kde#147790)
%patch2 -p1 -b .consolekit
%patch3 -p1 -b .plasma-konsole
%patch4 -p1 -b .show-systemsettings
# ConsoleKit >= 0.2.4 shutdown/reboot support (needed for GDM 2.22)
%patch5 -p1 -b .ck-shutdown
pushd systemsettings
%patch6 -p0 -b .rootprivs
popd
%patch7 -p0 -b .timedate-kcm
%patch8 -p0 -b .krdb
%patch10 -p1 -b .klipper-url
%patch11 -p1 -b .plasma-default-wallpaper
%patch12 -p1 -b .kdm-appsdir

# upstream patches
%patch100 -p1 -b .plasma-tooltips
%patch101 -p4 -b .kde#152914
%patch102 -p0 -b .kwin-taskbarthumbnail

# plasma-4.0-openSUSE patches:
%patch204 -p1 -b .kickoff-suspend


%build

mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} \
  -DKDE4_KDM_PAM_SERVICE=kdm \
  -DKDE4_KCHECKPASS_PAM_SERVICE=kcheckpass \
  -DKDE4_KSCREENSAVER_PAM_SERVICE=kscreensaver ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
rm -rf %{buildroot}

make install DESTDIR=%{buildroot} -C %{_target_platform}

# xsession support
mkdir -p %{buildroot}%{_datadir}/xsessions/
ln -s %{_kde4_appsdir}/kdm/sessions/kde.desktop %{buildroot}%{_datadir}/xsessions/kde.desktop

# FIXME/TODO: provide kdm config in kde-settings(-kdm)
# nuke, use external kde-config-kdm
rm -rf  %{buildroot}%{_kde4_configdir}/kdm

# own %{_kde4_appsdir}/kdm/faces and set default user image
mkdir -p %{buildroot}%{_kde4_appsdir}/kdm/faces
pushd %{buildroot}%{_kde4_appsdir}/kdm/faces
ln -sf ../pics/users/default1.png .default.face.icon
popd

# move devel symlinks
mkdir -p %{buildroot}%{_kde4_libdir}/kde4/devel
pushd %{buildroot}%{_kde4_libdir}
for i in lib*.so
do
  case "$i" in
    libkdeinit*.so)
      ;;
    # leave libworkspace.so for kate
    libkworkspace.so|libplasma.so)
      linktarget=`readlink "$i"`
      ln -sf "../../$linktarget" "kde4/devel/$i"
      ;;
    *)
      linktarget=`readlink "$i"`
      rm -f "$i"
      ln -sf "../../$linktarget" "kde4/devel/$i"
      ;;
  esac
done
popd


%clean
rm -rf %{buildroot}


%post
xdg-icon-resource forceupdate --theme oxygen 2> /dev/null || :
xdg-icon-resource forceupdate --theme hicolor 2> /dev/null || :
xdg-desktop-menu forceupdate 2> /dev/null || :

%postun
xdg-icon-resource forceupdate --theme oxygen 2> /dev/null || :
xdg-icon-resource forceupdate --theme hicolor 2> /dev/null || :
xdg-desktop-menu forceupdate 2> /dev/null || :

%post libs -p /sbin/ldconfig

%postun libs -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc COPYING README
%config(noreplace) %{_kde4_sysconfdir}/systemsettingsrc
%{_kde4_bindir}/*
%exclude %{_kde4_bindir}/ksysguardd
%{_kde4_appsdir}/*
%{_kde4_configdir}/*
%{_kde4_datadir}/kde4/services/*
%{_kde4_datadir}/kde4/servicetypes/*
%{_kde4_datadir}/sounds/*
%{_kde4_datadir}/autostart/*
%{_kde4_datadir}/applications/kde4/*
%{_datadir}/dbus-1/interfaces/*
%{_kde4_datadir}/config.kcfg/*
%{_datadir}/xsessions/*
%{_kde4_docdir}/HTML/en/*
%{_kde4_iconsdir}/hicolor/*/*/*
%{_kde4_iconsdir}/oxygen/*/*/*
%{_kde4_libdir}/kde4/*.so
%{_kde4_libexecdir}/*
%{_libdir}/strigi/
%{_kde4_libdir}/libkdeinit*.so
%{_kde4_libdir}/kconf_update_bin/*

%files libs
%defattr(-,root,root,-)
%{_kde4_libdir}/lib*.so.*

%files devel
%defattr(-,root,root,-)
%{_kde4_includedir}/*
%{_kde4_libdir}/lib*.so
%{_kde4_libdir}/kde4/devel/lib*.so
%{_kde4_libdir}/kde4/plugins/designer/ksysguardwidgets.so
%exclude %{_kde4_libdir}/libkdeinit*.so

%files wallpapers
%defattr(-,root,root,-)
%{_kde4_datadir}/wallpapers/*

%files -n ksysguardd
%defattr(-,root,root,-)
%config(noreplace) %{_kde4_sysconfdir}/ksysguarddrc
%{_kde4_bindir}/ksysguardd

%files -n oxygen-cursor-themes
%defattr(-,root,root,-)
%{_kde4_iconsdir}/Oxygen_Black/
%{_kde4_iconsdir}/Oxygen_Black_Big/
%{_kde4_iconsdir}/Oxygen_Blue/
%{_kde4_iconsdir}/Oxygen_Blue_Big/
%{_kde4_iconsdir}/Oxygen_White/
%{_kde4_iconsdir}/Oxygen_White_Big/
%{_kde4_iconsdir}/Oxygen_Yellow/
%{_kde4_iconsdir}/Oxygen_Yellow_Big/
%{_kde4_iconsdir}/Oxygen_Zion/
%{_kde4_iconsdir}/Oxygen_Zion_Big/


%changelog
* Mon Aug 04 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.1.0-8
- patch another place where systemsettings was hidden from the menu (#457739)

* Mon Aug 04 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.1.0-7
- enable KWin taskbarthumbnail effect (used by backported tooltip manager)

* Fri Aug 01 2008 Rex Dieter <rdieter@fedoraproject.org> 4.1.0-6
- patch to help krandr issues/crashes (kde#152914)

* Fri Aug 01 2008 Lukáš Tinkl <ltinkl@redhat.com> 4.1.0-5
- fix 457479: "Run as root" dialog of kdm system settings is shown twice
  (due to activated signal being connected to twice)

* Fri Aug 01 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.1.0-4
- fix KDM configuration using the wrong appsdir for themes (#455623)

* Mon Jul 28 2008 Rex Dieter <rdieter@fedoraproject.org> 4.1.0-3
- respun tarball

* Sun Jul 27 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.1.0-2
- updated tooltip manager from 4.2 (fixes Plasma crash on theme change, #456820)

* Wed Jul 23 2008 Than Ngo <than@redhat.com> 4.1.0-1
- 4.1.0

* Wed Jul 23 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.0.99-5
- F10+: fix circular kdebase<->kdebase-workspace dependency: don't Obsolete or
  Require kdebase, as kdebase now requires kdebase-workspace, obviating the
  upgrade path hack

* Tue Jul 22 2008 Rex Dieter <rdieter@fedoraproject.org> 4.0.99-4
- oxygen-cursor-themes, -wallpapers subpkgs

* Sat Jul 19 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.0.99-3
- BR soprano-devel (optional dependency of the Plasma Engine Explorer)

* Sat Jul 19 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.0.99-2
- backport Plasma tooltip manager from KDE 4.2 (fixes regression from 4.0)
  WARNING: Adds some new APIs from 4.2 (Plasma::popupPosition, Plasma::viewFor,
           Plasma::ToolTip*), use at your own risk, we have no control to
           guarantee that they will not change!

* Fri Jul 18 2008 Rex Dieter <rdieter@fedoraproject.org> 4.0.99-1
- 4.0.99

* Wed Jul 16 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.0.98-8
- fix KDM ConsoleKit patch to use x11-display-device instead of display-device

* Wed Jul 16 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.0.98-7
- fix segfault in KDM ConsoleKit patch (#455562)

* Tue Jul 15 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.0.98-6
- move systemsettings back from System to Settings in the menu

* Mon Jul 14 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.0.98-5
- new consolekit-kdm patch using libck-connector, BR ConsoleKit-devel (#430388)

* Mon Jul 14 2008 Rex Dieter <rdieter@fedorproject.org> 4.0.98-4
- install circles kdm theme

* Sun Jul 13 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.0.98-3
- sync kickoff-suspend patch from F9 (loads ksmserver translations)

* Fri Jul 11 2008 Rex Dieter <rdieter@fedoraproject.org> 4.0.98-2
- respun tarball (with systray patch)

* Thu Jul 10 2008 Rex Dieter <rdieter@fedoraproject.org> 4.0.98-1
- 4.0.98

* Wed Jul 09 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.0.85-3
- rewrite and reapply plasma-default-wallpaper patch
- (no more separate plasma-default-wallpaper-config part)
- rediff kde#154119 patch one last time

* Wed Jul 09 2008 Rex Dieter <rdieter@fedoraproject.org> 4.0.85-2
- systray icon patch (kde#164786)

* Sun Jul 06 2008 Rex Dieter <rdieter@fedoraproject.org> 4.0.85-1
- 4.0.85

* Fri Jun 27 2008 Rex Dieter <rdieter@fedoraproject.org> 4.0.84-1
- 4.0.84

* Fri Jun 27 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.0.83-2
- port and apply kde#154119/kde#158301 patch for moving icons on panel (#439587)

* Thu Jun 19 2008 Than Ngo <than@redhat.com> 4.0.83-1
- 4.0.83 (beta2)

* Tue Jun 17 2008 Rex Dieter <rdieter@fedoraproject.org> 4.0.82-2
- +Provides: kdm

* Sat Jun 14 2008 Rex Dieter <rdieter@fedoraproject.org> 4.0.82-1
- 4.0.82

* Wed Jun 04 2008 Than Ngo <than@redhat.com> 4.0.80-4
- fix #449881, ksysguard OnlyShowIn=KDE

* Tue Jun 03 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.0.80-3
- enable NetworkManager support, now compatible with NM 0.7

* Thu May 29 2008 Rex Dieter <rdieter@fedoraproject.org> 4.0.80-2
- BR: libcaptury-devel

* Mon May 26 2008 Than Ngo <than@redhat.com> 4.0.80-1
- 4.1 beta1

* Wed May 21 2008 Than Ngo <than@redhat.com> 4.0.72-4
- fix #447030, hyperlinks do not open correctly in firefox

* Thu May 08 2008 Rex Dieter <rdieter@fedoraproject.org> 4.0.72-3
- ksysguardd subpkg (#426543)
- %%config(noreplace) systemsettingsrc

* Thu May 08 2008 Rex Dieter <rdieter@fedoraproject.org> 4.0.72-2
- gtkrc patch (rh#443309, kde#146779)

* Wed May 07 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.0.72-1
- update to 4.0.72
- update file list (Lorenzo Villani)
- port plasma-konsole, ck-shutdown, rootprivs, plasma-default-wallpaper patches
- remove NoDisplay=true in systemsettings onlyshowkde patch (still add
  OnlyShowIn=KDE), rename to show-systemsettings
- drop upstreamed suspend patch
- drop backported kde#155362 and menu-switch patches
- drop rh#443610 patch, "Zoom Out" should be working in 4.1
- disable kde#158301 patch for now (fails to apply, looks hard to port)

* Fri May 02 2008 Rex Dieter <rdieter@fedoraproject.org> 4.0.3-20
- Requires: kdebase , so it doesn't go missing on upgrades from kde3 (#444928)

* Mon Apr 28 2008 Lukáš Tinkl <ltinkl@redhat.com> 4.0.3-19
- #444141: Initial wallpaper chooser has "EOS" preselected but wallpaper is "Fedora Waves"

* Sun Apr 27 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.0.3-18
- don't show "Zoom Out" toolbox action (#443610, patch from openSUSE branch)

* Sat Apr 19 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.0.3-17
- allow moving plasmoids on panels (#439587, kde#158301) (upstream patch)

* Fri Apr 18 2008 Than Ngo <than@redhat.com> 4.0.3-16
- fix #442559, Suspend/Hibernate issue on logout

* Tue Apr 15 2008 Lukáš Tinkl <ltinkl@redhat.com> 4.0.3-15
- workaround #434824: KDE4 System Settings - No Method To Enter Administrative Mode
- fix #441062: packagekit tools do not show icons correctly on KDE

* Tue Apr 15 2008 Sebastian Vahl <fedora@deadbabylon.de> 4.0.3-13
- update redhat-startkde.patch to match waves background color (#442312)

* Fri Apr 11 2008 Lukáš Tinkl <ltinkl@redhat.com> 4.0.3-12
- allow to define a default wallpaper (plasmarc:wallpaper)

* Wed Apr 09 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.0.3-11
- read the default KSplash theme from kde-settings in startkde (#441565)

* Mon Apr 07 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.0.3-7
- own %%{_kde4_appsdir}/kdm/faces and set default user image (#441154)

* Thu Apr 03 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.0.3-6
- rebuild for the fixed %%{_kde4_buildtype}

* Mon Mar 31 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.0.3-5
- update file list for _kde4_libexecdir

* Mon Mar 31 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.0.3-4
- backport context menu switch between Kickoff and simple menu from 4.1

* Sat Mar 29 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.0.3-3
- add support for shutdown/reboot through ConsoleKit >= 0.2.4 (#431817)

* Fri Mar 28 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.0.3-2
- most of the kde#155362 patch has been merged, keep only the config part

* Fri Mar 28 2008 Than Ngo <than@redhat.com> 4.0.3-1
- 4.0.3

* Fri Mar 28 2008 Than Ngo <than@redhat.com> 4.0.2-9
- add onlyshowin=KDE for systemsetting

* Thu Mar 13 2008 Than Ngo <than@redhat.com> 4.0.2-8
- backport upstream patch to fix crash in kmenuedit when users
  delete entry and save it

* Wed Mar 12 2008 Than Ngo <than@redhat.com> 4.0.2-7
- apply upstream patch to fix changing wallpaper causes desktop to go white
- apply upstream patch to check whether the to-be-embedded window has been destroyed, (bz#437058)

* Mon Mar 10 2008 Than Ngo <than@redhat.com> 4.0.2-6
- add gestures=false in kde-settings, remove kdebase-workspace-4.0.2-Gestures.patch

* Thu Mar 06 2008 Than Ngo <than@redhat.com> 4.0.2-5
- typo fix

* Tue Mar 04 2008 Than Ngo <than@redhat.com> 4.0.2-4
- disable gestures as default
- add konsole in desktop menu

* Mon Mar 03 2008 Than Ngo <than@redhat.com> 4.0.2-3
- apply upstream patch to fix crash in khotkeys

* Fri Feb 29 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.0.2-2
- drop upstreamed kde#155974 patch
- update kde#155362 patch

* Thu Feb 28 2008 Than Ngo <than@redhat.com> 4.0.2-1
- 4.0.2

* Mon Feb 25 2008 Rex Dieter <rdieter@fedoraproject.org> 4.0.1-8
- %%files: don't own %%_kde4_libdir/kde4/plugins (thanks wolfy!)

* Sat Feb 16 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.0.1-7
- omit broken disk space checking hunk from redhat-startkde patch (#426871)

* Wed Feb 06 2008 Rex Dieter <rdieter@fedoraproject.org> 4.0.1-6
- revert Conflicts, it matches against Provides from kdelibs3.

* Wed Feb 06 2008 Rex Dieter <rdieter@fedoraproject.org> 4.0.1-5
- Conflicts: kdelibs < 6:4 (temporary, to ease upgrade pain)
- -devel: Requires: %%name-libs

* Mon Feb 04 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.0.1-4
- backport enhancement to allow multi-line taskbar from 4.1 (kde#155974)

* Mon Feb 04 2008 Than Ngo <than@redhat.com> 4.0.1-3
- respin

* Fri Feb 01 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.0.1-2
- update kde#155362 (simple menu) patch for 4.0.1 (thanks to Jan Mette)

* Wed Jan 30 2008 Rex Dieter <rdieter@fedoraproject.org> 4.0.1-1
- 4.0.1

* Wed Jan 30 2008 Rex Dieter <rdieter@fedoraproject.org> 4.0.0-8
- respin (qt4)

* Sat Jan 26 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.0.0-7
- backport simple menu enhancement to show .desktop Name from 4.1 (kde#155362)

* Wed Jan 23 2008 Rex Dieter <rdieter@fedoraproject.org> 4.0.0-6
- Obsoletes: kdebase < 6:4

* Wed Jan 09 2008 Rex Dieter <rdieter[AT]fedoraproject.org> 4.0.0-5
- initial login with white background (#428131, kde#155122)

* Wed Jan 09 2008 Rex Dieter <rdieter[AT]fedoraproject.org> 4.0.0-4
- use upstream systemtray patch (#427442, kde#153193)

* Tue Jan 08 2008 Rex Dieter <rdieter[AT]fedoraproject.org> 4.0.0-3
- respun tarball
- omit gtk_applet patch (for now, doesn't build)

* Tue Jan 08 2008 Rex Dieter <rdieter[AT]fedoraproject.org> 4.0.0-2
- omit plasma-pager patch
- pull upstream patch to workaround gtk applet crasher (#427442)

* Mon Jan 07 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.0.0-1
- update to 4.0.0
- drop upstreamed creategtkrc-gtk212 patch
- update redhat-startkde and consolekit-kdm patches

* Mon Dec 31 2007 Kevin Kofler <Kevin@tigcc.ticalc.org> - 3.97.0-5
- fix createGtkrc to set tooltip colors also for GTK+ 2.12+

* Sun Dec 30 2007 Kevin Kofler <Kevin@tigcc.ticalc.org> 3.97.0-4
- Obsoletes: kdmtheme

* Mon Dec 17 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 3.97.0-3
- Requires: coreutils dbus-x11 xorg-x11-apps xorg-x11-utils 
            xorg-x11-server-utils (used in startkde)
- drop pam configs that were previously moved to kde-settings

* Tue Dec 11 2007 Kevin Kofler <Kevin@tigcc.ticalc.org> 3.97.0-2
- rebuild for changed _kde4_includedir

* Wed Dec 05 2007 Rex Dieter <rdieter[AT]fedoraprojec.torg. 3.97.0-1
- kde-3.97.0
- move pam configs to kde-settings
- Requires: kde-settings-kdm

* Tue Dec 04 2007 Than Ngo <than@redhat.com> 3.96.2-3
- fix kdm/kcheckpass/kscreensaver to get working

* Sat Dec 01 2007 Sebastian Vahl <fedora@deadbabylon.de> 3.96.2-2
- BR: dbus-devel
- crystalsvg icons are not part of kdebase-workspace anymore
- make sure libkdeinit_plasma.so is in normal package

* Sat Dec 01 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 3.96.2-1
- kde-3.96.2

* Sat Dec 01 2007 Kevin Kofler <Kevin@tigcc.ticalc.org> 3.96.1-4
- Obsoletes and Provides kdebase-kdm for upgrades from old kde-redhat

* Fri Nov 30 2007 Kevin Kofler <Kevin@tigcc.ticalc.org> 3.96.1-3
- update and apply redhat-startkde patch
- update and apply KDM ConsoleKit patch (#228111, kde#147790)
- ConsoleKit patch also includes xdmcp fixes from Mandriva (#243560)

* Wed Nov 28 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 3.96.1-2
- %%doc README COPYING
- -libs subpkg
- -libs: Requires: kdelibs4
- don't remove libplasma.so from %%{_kde4_libdir}
- %%files: use %%_datadir for dbus-1/interfaces,xsessions

* Mon Nov 19 2007 Sebastian Vahl <fedora@deadbabylon.de> 3.96.1-1
- kde-3.96.1

* Mon Nov 19 2007 Sebastian Vahl <fedora@deadbabylon.de> 3.96.0-7
- use kde.desktop from /usr/share/apps/kdm/sessions/kde.desktop
- use %%config(noreplace) for /etc/ksysguarddrc
- Requires: kdebase, kdebase-runtime, oxygen-icon-theme
- fix url

* Mon Nov 19 2007 Sebastian Vahl <fedora@deadbabylon.de> 3.96.0-6
- add patch to get pager in plasma bar
- re-added BR: libraw1394-devel

* Mon Nov 19 2007 Sebastian Vahl <fedora@deadbabylon.de> 3.96.0-5
- leave libkworkspace.so for kate
- BR: kde-filesystem >= 4

* Mon Nov 19 2007 Sebastian Vahl <fedora@deadbabylon.de> 3.96.0-4
- BR: libXtst-devel
- BR: libXScrnSaver-devel

* Fri Nov 15 2007 Sebastian Vahl <fedora@deadbabylon.de> 3.96.0-3
- own some more directories
- add %%defattr to package devel
- some spec cleanups
- -R: kdepimlibs-devel
- +BR: libXpm-devel
- +BR: glib2-devel (do we really need this?)

* Thu Nov 15 2007 Sebastian Vahl <fedora@deadbabylon.de> 3.96.0-2
- BR: libXxf86misc-devel
- BR: libXxf86misc-devel
- BR: libXcomposite-devel
- BR: bluez-libs-devel
- BR: libxklavier-devel
- BR: pam-devel
- BR: lm_sensors-devel
- BR: libXdamage-devel
- BR: libXv-devel
- BR: libXres-devel

* Wed Nov 14 2007 Sebastian Vahl <fedora@deadbabylon.de> 3.96.0-1
- kde-3.96.0

* Wed Nov 14 2007 Sebastian Vahl <fedora@deadbabylon.de> 3.95.2-1
- Initial version of kdebase-workspace
